
Foreman - Bug #8335

Edit Compute Resource form always clears out the password;

11/10/2014 10:10 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Compute resources - oVirt   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1931

  

Description

On both oVirt and VmWare (and most likely on others as well), when I do any action that (partially) re-renders the screen (e.g. Load

Datacenters), password gets cleared. This is not expected behavior as you probably want to finish and submit the form.

The workaround is to fill the password over and over again.

Related issues:

Has duplicate Foreman - Bug #8531: Compute ressource vmware - password disapear Duplicate 11/28/2014

Has duplicate Foreman - Bug #8711: Password nullifies on click of test connec... Duplicate 12/15/2014

Associated revisions

Revision ebac69ce - 12/28/2014 09:34 AM - Shlomi Zadok

fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection

Revision fa7403af - 01/27/2015 10:50 AM - Shlomi Zadok

fixes #6540, #8335 - Add error to vmware when no datacenter, save password when testing connection

(cherry picked from commit ebac69ceab851c6124d9fc167b3d58f8c559e1ae)

History

#1 - 11/13/2014 04:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1931 added

- Pull request deleted ()

#2 - 11/13/2014 04:19 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#3 - 11/23/2014 04:52 AM - Tommy McNeely

This includes Rackspace and (pending Digital Ocean) as well. It affects "adding" a new one as well as editing.

I haven't looked real deeply yet, but perhaps there needs to be different containers for the "authentication" parameters versus the "dynamic" stuff at

the bottom.. that way the password field wouldn't re-render, and get blanked?

~tommy

#4 - 11/28/2014 03:58 AM - Dominic Cleal

- Has duplicate Bug #8531: Compute ressource vmware - password disapear added

#5 - 12/15/2014 04:49 AM - Dominic Cleal

- Has duplicate Bug #8711: Password nullifies on click of test connection in compute resource new/edit added
#6 - 12/28/2014 10:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ebac69ceab851c6124d9fc167b3d58f8c559e1ae.

#7 - 01/02/2015 03:33 AM - Dominic Cleal

- translation missing: en.field_release set to 30
